
<app-header (refresh)="getData()"></app-header>

<div class="mat-elevation-z8">
    <mat-form-field class="aa"><span matPrefix><mat-icon>search</mat-icon> &nbsp; </span>
        <input matInput (keyup)="applyFilter($event.target.value)" [(ngModel)]="firstname" (input)="Search()" placeholder="Rechercher">
    </mat-form-field>
    
    <div class="card-body">
        <table class="table table-hover">
            <thead class="thead-light">
                <tr>
                    <th>Nom</th>
                    <th>Nom Client</th>
                    <th>Date Activation</th>
                    <th>Date Experation</th>
                    <th>Action</th>
                    <th>Status</th>
                </tr>
            </thead>

            <tbody>
                <tr *ngFor="let licence of licenses | paginate: { itemsPerPage: 5, currentPage: page}">
                    <td>{{licence.nom}}</td>
                    <td>{{licence.nomClient}}</td>
                    <td>{{licence.dateA | date:'dd/MM/yyyy' }}</td>
                    <td>{{licence.dateEx  | date:'dd/MM/yyyy'}}</td>
                    <td>
                        <mat-icon class="clickS" (click)="remove(licence)">delete</mat-icon> 
                        <mat-icon class="clickM" (click)="update(licence)">mode_edit</mat-icon>   
                    </td>
                    <td>
                        <mat-icon *ngIf="(licence.status)===true" color="primary" aria-hidden="false">check_circle</mat-icon>
                        <mat-icon *ngIf="(licence.status)=== false" color="warn" aria-hidden="true">cancel</mat-icon>
                    </td>
                </tr>
            </tbody>
        </table>
        <pagination-controls style="text-align: center; " (pageChange)="page = $event"></pagination-controls>
    </div>
</div>

